#################################################################################
#################################################################################

### R code to draw boxplot for average movie ratings
### and boxplot for standard deviations of movie ratings

### MOV task

### Barbora Hladka, Martin Holub

### ESSLLI 2015

### http://ufal.mff.cuni.cz/esslli2015

#################################################################################
#################################################################################
#################################################################################

## get examples, votes, movies, users
source("load-mov-data.R")

#############

## get average rating of each movie
mean <- tapply(votes$rating, votes$movie, mean)

## plot boxplot of avg.rating

pdf("boxplot-movie-ratings-mean.pdf")
boxplot(mean, main = "(boxplot-movie-rating-mean-sd.R)", 
	xlab = "", ylab = "average movie rating",
	lwd = 2, lty = 1, width=c(1),
	cex.main=2.3,
        cex.axis=2.3,
        cex.lab=2.1)
dev.off()

#############

## get standard deviation of each movie
sd <- tapply(votes$rating, votes$movie, sd)

pdf("boxplot-movie-ratings-sd.pdf")
boxplot(sd, main = "(boxplot-movie-rating-mean-sd.R)", 
	xlab = "", ylab = "standard deviation of movie ratings",
	lwd = 2, lty = 1, width=c(1),
	cex.main=2.3,
        cex.axis=2.3,
        cex.lab=2.1)
dev.off()

# explore boxplot
boxplot <- boxplot(tapply(votes$rating, votes$movie, sd))

# get the number of observations
boxplot$n

# get five number summary
boxplot$stat

# get the outliers
boxplot$out

#############




