#################################################################################
#################################################################################

### R code to draw cumulative histogram for user votes

### MOV task

### Barbora Hladka, Martin Holub

### ESSLLI 2015

### http://ufal.mff.cuni.cz/esslli2015

#################################################################################
#################################################################################


## get examples, votes, movies, users
source("load-mov-data.R")

# get user ids
user.id <- users[,1]

# number of user's votes
votes <- rowSums(sapply(votes[,1], function(x) x==user.id))
users$votes <- votes

h <- hist(users$votes)

# draw cumulative histogram
pdf("cumulative-histogram-votes.pdf", width=7, height=5)
h$counts <- cumsum(h$counts)
plot(h,
	main = "Cumulative histogram (cumulative-histogram.R)",
	xlab = "votes (step = 20)",
	ylab = "frequency",
	cex.lab = 1.25)
dev.off()

