#################################################################################
#################################################################################

### R code to draw histogram for user votes

### MOV task

### Barbora Hladka, Martin Holub

### ESSLLI 2015

### http://ufal.mff.cuni.cz/esslli2015

#################################################################################
#################################################################################


## get examples, votes, movies, users
source("load-mov-data.R")

# get user ids
user.id <- users[,1]

# number of user's votes
votes <- rowSums(sapply(votes[,1], function(x) x==user.id))
users$votes <- votes

# draw histogram
pdf("histogram-votes.pdf", width=7, height=5)
hist(users$votes,breaks = 40, 
	main = "Histogram (histogram-votes.R)",
	xlab = "votes (step = 20)",
	ylab = "frequency",
	cex.lab=1.25)
dev.off()

