#################################################################################
#################################################################################

### R code for Linear Regression

### MOV task

### Barbora Hladka, Martin Holub

### ESSLLI 2015

### http://ufal.mff.cuni.cz/esslli2015

#################################################################################
#################################################################################
#################################################################################

# Get examples, votes, movies, users
source("codes/load-mov-data.R")

### correlation users'rating and IMDb rating

# Peter id = 409
pe <- subset(examples, user == 409)
pe.r <- pe$rating
pe.i <- pe$imdb_rating

pe.m<- pe$movie
pe.mu <- mean(pe.r)
pe.sd <- sd(pe$r)

cor(pe.r, pe.i)
cor.test(pe.r, pe.i)

# Paul id = 425
pa <- subset(examples, user == 425)
pa.r <- pa$rating
pa.i <- pa$imdb_rating
pa.m<- pa$movie

plot(pa.i, pa.r, main = "movies rated by Paul (user 425)",
	xlab = "IMDb rating", ylab = "Pauls's rating",
	cex.lab=1.25, pch = "o")



# Mary id = 655
ma <- subset(examples, user == 655)
ma.r <- ma$rating
ma.r <- ma.r[-which(is.na(ma$imdb_rating))]
ma.i <- na.omit(ma$imdb_rating)

ma.m<- ma$movie
ma.mu <- mean(ma.r)
ma.sd <- sd(ma$r)

pdf("scatter-plot-Mary-rating-imdb.pdf", width=7, height=5)
plot(ma.i, ma.r,
	main = "685 movies rated by Mary (user 655)\n (linear-regression.R)",
	xlab = "IMDb rating",
	ylab = "Mary's rating",
	cex.lab=1.25,
	pch = "o")
dev.off()

pdf("linear-regression-Mary-imdb.pdf", width=7, height=5)
plot(ma.i, ma.r, main = "685 movies rated by Mary (user 655)",
	xlab = "IMDb rating",
	ylab = "Mary's rating",
	cex.lab=1.25, pch = "o")
lm.ma <- lm(ma.r ~ ma.i)
coef(lm.ma)
abline(lm.ma)
dev.off()

# plot residuals 
pdf("plot-residuals-linear-regression-Mary-imdb.pdf")
lm.ma.res = resid(lm.ma)
plot(ma.r, lm.ma.res,
	ylab = "residuals",
	xlab="Mary's rating",
	main="Residual plot (linear-regression.R)",
	cex.lab=1.25,
	pch = "o") 
abline(0, 0)
dev.off()

# correlation illustration
library("languageR")
pdf("illustration-correlation-coefficient.pdf")
par(mfrow=c(2,2))
mvrnormplot.fnc(r = 0.9)
mvrnormplot.fnc(r = 0.6)
mvrnormplot.fnc(r = 0.2)
mvrnormplot.fnc(r = -0.008)
dev.off()

## correlation user vs user

pepa.pe <- subset(pe, movie %in% intersect(pe.m, pa.m))$rating
pepa.pa <- subset(pa, movie %in% intersect(pe.m, pa.m))$rating
cor(pepa.pa, pepa.pe, method="pearson")

pema.pe <- subset(pe, movie %in% intersect(pe.m, ma.m))$rating
pema.ma <- subset(ma, movie %in% intersect(pe.m, ma.m))$rating
cor(pema.pe, pema.ma, method="pearson")

pama.pa <- subset(pa, movie %in% intersect(pa.m, ma.m))$rating
pama.ma <- subset(ma, movie %in% intersect(pa.m, ma.m))$rating
cor(pama.pa, pama.ma, method="pearson")


