#################################################################################
#################################################################################

### R code to draw scatter plot for IMDb rating and movie average rating

### MOV task

### Barbora Hladka, Martin Holub

### ESSLLI 2015

### http://ufal.mff.cuni.cz/esslli2015

#################################################################################
#################################################################################
#################################################################################

## get examples, votes, movies, users
source("load-mov-data.R")

## get the average rating for each movie
avg.rating <- tapply(votes$rating, votes$movie, mean)

## scatter plot of IMDb rating and avg.rating

pdf("scatter-imdb-average-rating.pdf", width=7, height=5)

plot(movies$imdb_rating, avg.rating,
	main = "Scatter plot\n(scatter-imdb-average-rating.R)", 
	xlab = "IMDb rating",
	ylab = "average rating",
	cex.lab=1.25)

dev.off()



